import { LitElement } from "lit";
import { Ad4mConnectOptions, AuthStates, ConnectionStates } from "./core";
export { getAd4mClient } from "./utils";
export declare class Ad4mConnectElement extends LitElement {
    static styles: import("lit").CSSResult[];
    private _code;
    private _isMobile;
    private _hasClickedDownload;
    private _isRemote;
    private _client;
    private _isOpen;
    private _hostingStep;
    private _email;
    private _passowrd;
    private _passwordError;
    private _hostingNotRunningError;
    private _verifyCodeError;
    private _isHostingLoading;
    private uiState;
    appName: any;
    appDesc: any;
    appDomain: any;
    appIconPath: any;
    mobile: any;
    capabilities: any[];
    hosting: boolean;
    token: string;
    port: number;
    url: string;
    get authState(): AuthStates;
    get connectionState(): ConnectionStates;
    private injectFont;
    connectedCallback(): void;
    private checkEmail;
    private loginToHosting;
    private changeEmail;
    private changePassword;
    private unlockAgent;
    private verifyCode;
    private changeUrl;
    private changePort;
    private changeUIState;
    private setIsHostingRunning;
    private changeIsRemote;
    private changeCode;
    private onDownloaded;
    private handleAuthChange;
    private handleConfigChange;
    private handleConnectionChange;
    private loadFont;
    private startCamera;
    connect(): Promise<import("@coasys/ad4m").Ad4mClient>;
    getAd4mClient(): import("@coasys/ad4m").Ad4mClient;
    connectRemote(url: any): Promise<import("@coasys/ad4m").Ad4mClient>;
    requestCapability(bool: any): Promise<void>;
    isAuthenticated(): Promise<boolean>;
    setOpen(val: boolean): void;
    setHostingStep(step: number): void;
    clearState(): void;
    renderViews(): import("lit").TemplateResult<1>;
    mobileView(): import("lit").TemplateResult<1>;
    render(): import("lit").TemplateResult<1>;
}
export default function Ad4mConnectUI(props: Ad4mConnectOptions): Ad4mConnectElement;
